MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026489Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2015-07-28 12:102016-04-20 15:48
Reporterpkv 
Assigned Toski 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026489: The class ShapeUpgrade_UnifySameDomain provides the results that are wrong or difficult to explain.
DescriptionThe class ShapeUpgrade_UnifySameDomain provides the result that is wrong or at least difficult to explain.

There are two kinds of the problem with the algorithm above.

I . The result obtained by the algorithm itself is wrong
II. The result obtained by the method:
TopoDS_Shape ShapeUpgrade_UnifySameDomain::Generated (const TopoDS_Shape& aShape) const
is wrong.


 
 
Steps To Reproduce1. Preface
The command zubuild is to obtain the result of the algorithm itself
Syntax:
zubuild r s
s - input shape
r - resulting shape

The command zugener is to obtain the result of the method Generated(...) of the algorithm
Syntax:
zugener x s
s - input shape
x - shape returned by the method Generated(s)
 
The commands zubuild, zugener are in attached file a.cxx

2. Cases
#--------------------------- Case 1
restore r003 b1
explode b1 w
zubuild r b1_1
nbshapes r
#
# The result of the command nbshapes:
Number of shapes in r
 VERTEX : 8
 EDGE : 8
 WIRE : 1
 FACE : 0
...
# Problem: As it seems the result r should contain 4 vertices and 4 edges.

#--------------------------- Case 2
restore r002 b1
zubuild r b1
nbshapes r
#
# The result of the command nbshapes:
Number of shapes in r
 VERTEX : 8
 EDGE : 8
 WIRE : 1
 FACE : 1
...
# Problem: As it seems the result r should contain 4 vertices and 4 edges.

#--------------------------- Case 3
restore r002 b1
zubuild r b1
explode b1 f
#
zugener x b1_1
# The result of zugener is x (x=r)

zugener x b1_2
# null shape

zugener x b1_3
# null shape

* Problem: As it seems the result of commads
zugener x b1_2
zugener x b1_3
should be r too.
TagsNo tags attached.
Test case numberbugs heal bug26489_1, bug26489_2, bug26489_3, bug26489_4, bug26489_5, bug26489_6
Attached Files? file icon r002 (2,471 bytes) 2015-07-28 12:12
? file icon r003 (2,065 bytes) 2015-07-28 12:12
cxx file icon a.cxx (1,797 bytes) 2015-07-28 12:13
? file icon p01usd.brep (1,058 bytes) 2015-07-29 13:01
? file icon 3cir.brep (830 bytes) 2015-08-06 14:51

- Relationships
child of 0025462verifiedbugmaster BRepAlgoAPI_Fuse not work correctly for a planar face 

-  Notes
(0043669)
git (administrator)
2015-07-29 12:51

Branch CR26489 has been created by isn.

SHA-1: cd0cf5b5c3913c4ced158afe7ec002db82b9c6b7


Detailed log of new commits:

Author: isn
Date: Tue Jul 28 22:01:20 2015 +0300

    0026489: The class ShapeUpgrade_UnifySameDomain provides the results that are wrong or difficult to explain
    --- Try to merge all possible sub-sequences in the sequence of edges
(0043670)
isn (developer)
2015-07-29 13:03
edited on: 2015-07-29 13:03

additional test file have been added (p01usd.brep)
-----
restore p01usd.brep poly
mkplane ff poly
unifysamedom res ff
-----

(0043672)
isn (developer)
2015-07-29 13:16

please check branch CR26489.
It should give more accurate result with input faces (test case#2)
(0043677)
isn (developer)
2015-07-29 14:49

branch have been updated
(0043682)
msv (developer)
2015-07-29 16:36

Remarks:

810: NCollection_Sequence<TopoDS_Edge> subSeq = SubsSeqsEdges(i);
use const& to avoid copying.

610: SubsSeqsEdges.ChangeFirst().Append(SubsSeqsEdges.ChangeLast());
It seems this statement inserts edges in not correct order. May be Prepend should be used?

In MergeEdges, in branch with circles (line 688) there is no treatment similar to lines branch. Returning false is not allowed anymore.

637: continue;
This is dangerous when LastClosed is true (infinite loop).

749: if (j == aChain.Length() - 1 && IsClosed && !LastClosed)
The last check !LastClosed is useless, as this line is unreachable with LastClosed==true.

794: UnionEdges = aChain;
It is better to avoid copying using Clear and Append methods.
(0043704)
git (administrator)
2015-07-30 16:25

Branch CR26489_1 has been created by isn.

SHA-1: e29fbb2790cd4f53bb3783104bbbeb37bd338b42


Detailed log of new commits:

Author: isn
Date: Thu Jul 30 15:46:18 2015 +0300

    0026489: The class ShapeUpgrade_UnifySameDomain provides the results that are wrong or difficult to explain.
    another version
(0043710)
msv (developer)
2015-07-30 18:01

1421: TopoDS_Edge E;
This line is not needed any more.

Somewhere you changed TopTools_SequenceOfShape to NCollection_Sequence<TopoDS_Edge>. It is unjustified, especially taking into account that you everywhere still use cast operation TopoDS::Edge() when take an item from the sequence. I propose to use the same class TopTools_SequenceOfShape everywhere.

871: NCollection_Sequence<NCollection_Sequence<TopoDS_Edge>> SubsSeqsEdges;
872: NCollection_Sequence<TopoDS_Edge> UnionEdges;
873: NCollection_Sequence<Standard_Boolean> anUnionStats;
All these sequences are expected to be synchronized. It is better to define a struct containing an input sequence of edges and a merged edge. The boolean flag is not needed, as IsNull() property of shape can be used for that. Then define a sequence of such structs. It will simplify logic and reduce both memory usage and computation time.

The method MergeEdges does not use the argument aFace. So, I propose to remove it in all functions that constitute this chain of calls.

808: if (BRep_Tool::Degenerated(anEdge))
809: return Standard_False;
I think we should omit this cycle. Degenerated edges must not impede merging other edges. They must be left alone. Therefore I propose to remember their vertex in a separate map in order to not merge edges through this vertex, and remove degenerated edge from the sequence at all.

832: if(aChain.Length()<SeqEdges.Length()) {
Consider in this condition the number of degenerated edges.


To be continued.
(0043713)
git (administrator)
2015-07-30 18:48

Branch CR26489_1 has been updated by isn.

SHA-1: 6bc3da48288dc7cd8b0a8c9351c9fba6a1e27701


Detailed log of new commits:

Author: isn
Date: Thu Jul 30 18:48:32 2015 +0300

    0026489: remarks#1

(0043729)
git (administrator)
2015-07-31 11:35

Branch CR26489_1 has been updated by isn.

SHA-1: 05caa74d3306cd377f63538f336b1d62cf5c594b


Detailed log of new commits:

Author: isn
Date: Fri Jul 31 11:11:38 2015 +0300

    0026489: remarks#2

(0043730)
msv (developer)
2015-07-31 11:58

line 752: Remove tab character.

In GenerateSubSeq(), it is better to create sub sequence with the first edge before the cycle, thus removing FE variable and simplifying logic.

768: /// check first and last chain segments
769: if (IsClosed)
...
If there is only one subsequence this code will work incorrectly.

Method CheckContinuity should be declared static.

718: if (ade1.Circle().Location().Distance(ade1.Circle().Location()) > Precision::Confusion())
Misprint: the same ade1 is used twice.

722: if( t1 == GeomAbs_Circle && t2 == GeomAbs_Line || t2 == GeomAbs_Circle && t1 == GeomAbs_Line)
Why do you check only lines and circles? What about other types, like ellipse, parabola, hyperbola? It is better to compare types directly (type1 != type2), excluding bspline and bezier.

Place checking for compatibility of types before checking for derivatives equality, because it is more quick.

536: if(c3d1.IsNull()) break;
544: if(c3d2.IsNull()) break;
In this case both IsUnionOfLinesPossible and IsUnionOfCirclesPossible can be left true, and it will be a mistake. I would return false here.

589: E.Reverse();
643: E.Reverse();
Why do you reverse it?

605: if (!MC.IsDone() || MC.Value().IsNull()) {
In this block probably it is needed to copy orientation from the edge of which the curve C1 was taken.

596: Handle(Geom_Circle) C1 = Handle(Geom_Circle)::DownCast(c3d1);
c3d1 is not always belong to the first edge in sequence. It is better to take this curve again.
(0043738)
msv (developer)
2015-07-31 12:32

Repeated remarks:
1422: TopoDS_Edge E;
This line is not needed any more.

695: line is too long. Try to limit the lines to 100 characters width.

818: if (BRep_Tool::Degenerated(anEdge))
Here it is needed to remove the edge from the SeqEdges, otherwise the next cycle can fail.

847: if(aChain.Length()<SeqEdges.Length()) {
Consider in this condition the number of degenerated edges that are removed according to previous remark.

831: TopoDS_Vertex VF2 = sae.FirstVertex(edge);
832: TopoDS_Vertex VL2 = sae.LastVertex(edge);
These variables should be used in next lines. Please make this.
(0043749)
git (administrator)
2015-07-31 14:14

Branch CR26489_1 has been updated by isn.

SHA-1: b05c6eedce6d22355a1b3b6f58ecf1256aaf19fb


Detailed log of new commits:

Author: isn
Date: Fri Jul 31 13:34:14 2015 +0300

    0026489: remarks#3

(0043751)
git (administrator)
2015-07-31 14:34

Branch CR26489_1 has been updated forcibly by isn.

SHA-1: 32e640b1802cc9090d7a5943a28b313131612bef
(0043754)
git (administrator)
2015-07-31 14:51

Branch CR26489_1 has been updated forcibly by isn.

SHA-1: 4818b466a2189b580cb43d7712925209dcf94db5
(0043756)
msv (developer)
2015-07-31 15:05

726: if( t1 != GeomAbs_BezierCurve && t1 != GeomAbs_BSplineCurve &&
727: t2 != GeomAbs_BezierCurve && t2 != GeomAbs_BSplineCurve && t1 != t2)
What if t1==circle and t2==bspline? Do we merge them?
(0043758)
git (administrator)
2015-07-31 15:33

Branch CR26489_1 has been updated by isn.

SHA-1: 0b9ee523e163718ea2cca880d48c6c833a69629d


Detailed log of new commits:

Author: isn
Date: Fri Jul 31 15:33:01 2015 +0300

    0026489: remark#4

(0043760)
msv (developer)
2015-07-31 15:56

Good, please continue with other cases.
(0043761)
git (administrator)
2015-07-31 16:15

Branch CR26489_1 has been updated by isn.

SHA-1: f214e1e298723911ea6b287ce6aee9fad9b624dc


Detailed log of new commits:

Author: isn
Date: Fri Jul 31 16:15:39 2015 +0300

    0026489: try to merge separate wires

(0043768)
git (administrator)
2015-07-31 17:49
edited on: 2015-07-31 17:50

Branch CR26489_1 has been updated by isn.

SHA-1: 2cf0dc3e3ccc847d3b29c2170b2c7f85b600bec8


Detailed log of new commits:

Author: isn
Date: Fri Jul 31 17:49:13 2015 +0300

    0024689: unifysamedomgen command + new map for history

(0043769)
msv (developer)
2015-07-31 18:04

1315: const TopoDS_Shape& ResShape = Unifier().Generated(aShape);
Do not use const& here, because Generated() returns value.

1450: theCommands.Add ("unifysamedomgen",
1451: "unifysamedomgen r s",__FILE__,unifysamedomgen,g);
Please add description of this command.
(0043780)
git (administrator)
2015-08-03 11:44

Branch CR26489_1 has been updated by isn.

SHA-1: d99ab39d7f9aae8a85df675dab1c4311bdcf0902


Detailed log of new commits:

Author: isn
Date: Mon Aug 3 11:06:29 2015 +0300

    0026489 CheckSharedVertices() as separate function

(0043782)
msv (developer)
2015-08-03 12:06

1315: const TopoDS_Shape& ResShape = Unifier().Generated(aShape);
Do not use & here, because Generated() returns value!

Split long line 1451, and correct word "frem":
                   "unifysamedomgen newshape oldshape : get new shape generated "
                   "by unifysamedom command from the old one",
                   __FILE__,unifysamedomgen,g);
(0043783)
msv (developer)
2015-08-03 12:08

1306: this help contradicts the one in line 1451.
(0043784)
git (administrator)
2015-08-03 12:15

Branch CR26489_1 has been updated by isn.

SHA-1: b51df19f94c30c1ee67e50ef9ece741d2950ed35


Detailed log of new commits:

Author: isn
Date: Mon Aug 3 12:14:50 2015 +0300

    remarks

(0043787)
msv (developer)
2015-08-03 12:51

Work with tests regressions.
(0043802)
git (administrator)
2015-08-04 12:20

Branch CR26489_1 has been updated by isn.

SHA-1: 1ab8ac841c133c6b9176187e5caff2cde426c064


Detailed log of new commits:

Author: isn
Date: Tue Aug 4 12:19:04 2015 +0300

    0026489 : lost header file

(0043803)
git (administrator)
2015-08-04 12:49

Branch CR26489_1 has been updated by isn.

SHA-1: 1d79e1aa54f068b706785d51da4a1c1fe7ef13ea


Detailed log of new commits:

Author: isn
Date: Tue Aug 4 12:47:44 2015 +0300

    0026489 : map of new edges to old edges

(0043805)
git (administrator)
2015-08-04 13:57

Branch CR26489_1 has been updated forcibly by isn.

SHA-1: 4258a242883f12d09ad1961913b5ac78b1b46bd5
(0043806)
msv (developer)
2015-08-04 14:40

The field myOldEdges is not needed. Just use myInitShape in the method UnifyEdges.
(0043808)
git (administrator)
2015-08-04 14:59

Branch CR26489_1 has been updated by isn.

SHA-1: 24b8f1ee1e06f71a215ec1b487d9059b3cd4d813


Detailed log of new commits:

Author: isn
Date: Tue Aug 4 14:58:56 2015 +0300

    0026489 : remarks; draw command have been extended

(0043809)
git (administrator)
2015-08-04 15:05

Branch CR26489_1 has been updated by isn.

SHA-1: a91137d345709d28897afbb7c28e2eb38aec9613


Detailed log of new commits:

Author: isn
Date: Tue Aug 4 15:04:14 2015 +0300

    0026489 : update of test case

(0043810)
msv (developer)
2015-08-04 16:05

The command usage:
unifysamedom result shape [f] [e] [b]
is not convenient and logical. If we omit 'f' or 'e' but put 'e' then face and edge modes will be switched off. Also, if we use any illegal option face and edge modes will also be switched off.
I propose some more logical behavior, like:
unifysamedom result shape [nf] [ne] [b]
where nf switches off face mode, ...
or
unifysamedom result shape [-f] [-e] [+b]
(0043831)
git (administrator)
2015-08-05 11:36
edited on: 2015-08-05 11:37

Branch CR26489_1 has been updated by isn.

SHA-1: 9ed781271d5a4f3ea6862ee6ed524f84b1adc0cf


Detailed log of new commits:

Author: isn
Date: Wed Aug 5 11:35:22 2015 +0300

    usd draw command 0000002

(0043835)
msv (developer)
2015-08-05 11:48

Change the phrase "modes are switch on by default" to "modes are switched on by default".

Update help on line 1472.
(0043836)
git (administrator)
2015-08-05 11:53

Branch CR26489_1 has been updated forcibly by isn.

SHA-1: bb667eb55d275c2efa5c06cbb31e32731c6d0569
(0043838)
git (administrator)
2015-08-05 12:12

Branch CR26489_1 has been updated forcibly by isn.

SHA-1: 895dd4c178e9f928d6bbfe789163209ccc20c475
(0043850)
git (administrator)
2015-08-05 14:53

Branch CR26489_2 has been created by isn.

SHA-1: 5ff83f73f2483339f27ef7dc5d631a2839df7dbd


Detailed log of new commits:

Author: isn
Date: Wed Aug 5 14:52:35 2015 +0300

    0026489: The class ShapeUpgrade_UnifySameDomain provides the results that are wrong or difficult to explain.
(0043851)
isn (developer)
2015-08-05 14:53

new branch is CR26489_2
(0043852)
msv (developer)
2015-08-05 15:18

Reviewed.
(0043875)
mkv (tester)
2015-08-06 13:05

Dear BugMaster,
Branch CR26489_2 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 5ff83f73f2483339f27ef7dc5d631a2839df7dbd

Number of compiler warnings:

occt component :
Linux: 16 (15 on master)
Windows: 0 (0 on master)

products component :
Linux: 39 (39 on master)
Windows: 0 (0 on master)

There is new additional compilation warning on Linux platform:
http://jenkins-test-01.nnov.opencascade.com:8080/user/mnt/my-views/view/A_mnt_warnings/portlet/dashboard_portlet_17008/job/CR26489-2-master_build_occt_linux/1/warnings17Result/package.-755898138/ [^]
ShapeUpgrade_UnifySameDomain.cxx:727, GNU C Compiler 4 (gcc), Priority: Normal
suggest parentheses around '&&' within '||' [-Wparentheses]

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:


Testing on Linux:
occt component :
Total MEMORY difference: 91908610 / 91604875 [+0.33%]
Total CPU difference: 17919.739999999114 / 18131.669999999096 [-1.17%]
products component :
Total MEMORY difference: 24816814 / 24843720 [-0.11%]
Total CPU difference: 7275.619999999983 / 6151.349999999959 [+18.28%]

Testing on Windows:
occt component :
Total MEMORY difference: 57614840 / 57634129 [-0.03%]
Total CPU difference: 16205.118678299003 / 16352.087220399175 [-0.90%]
products component :
Total MEMORY difference: 16011862 / 16018438 [-0.04%]
Total CPU difference: 5172.852759099959 / 5283.23906669996 [-2.09%]

There are no differences in images found by testdiff.
(0043880)
git (administrator)
2015-08-06 14:16

Branch CR26489_2 has been updated by isn.

SHA-1: 2614e35403242bd378beedc51520c186d33d2662


Detailed log of new commits:

Author: isn
Date: Thu Aug 6 14:15:46 2015 +0300

    gcc warnings

(0043884)
isn (developer)
2015-08-06 14:50
edited on: 2015-08-06 14:50

Dear mkv,
please add additional test cases for this issue:

#Test case # 1
pload ALL
restore d:/p01usd.brep poly
mkplane ff poly
unifysamedom res ff
#check for equality with reference data
nbshapes res

#Test case # 2
pload ALL
restore d:/p01usd.brep poly
unifysamedom res poly
#check for equality with reference data
nbshapes res

#Test case # 3
pload ALL
restore d:/3cir.brep ff
unifysamedom res ff
#check for equality with reference data
nbshapes res

#Test case # 4
pload ALL
restore d:/r002 b1
unifysamedom r b1
explode b1 f
unifysamedomgen x1 b1_1
unifysamedomgen x2 b1_2
unifysamedomgen x3 b1_3
#check for equality with reference data
nbshapes x1
nbshapes x2
nbshapes x3

(0043887)
git (administrator)
2015-08-06 15:18

Branch CR26489_2 has been updated forcibly by mkv.

SHA-1: 8564d601680013f9b338f7e945e30d81831d5039
(0043894)
git (administrator)
2015-08-06 18:33

Branch CR26489_2 has been updated by mkv.

SHA-1: c8687e56f161024e47256929548492f10d835fc4


Detailed log of new commits:

Author: mkv
Date: Thu Aug 6 18:33:39 2015 +0300

    Test cases for issue CR26489

(0043907)
mkv (tester)
2015-08-07 13:38

Dear BugMaster,
Branch CR26489_2 was rebased on IR-2015-08-06 of occt git-repository.
SHA-1: 8564d601680013f9b338f7e945e30d81831d5039
(0043908)
mkv (tester)
2015-08-07 13:39

Dear BugMaster,
Branch CR26489_2 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 8564d601680013f9b338f7e945e30d81831d5039

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)

products component :
Linux: 39 (39 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
http://occt-tests/CR26489-2-master-occt-64/Debian70-64/bugs/heal/bug26489_1.html [^]
http://occt-tests/CR26489-2-master-occt-64/Windows-64-VC10/bugs/heal/bug26489_1.html [^]
bugs heal bug26489_1: OK
http://occt-tests/CR26489-2-master-occt-64/Debian70-64/bugs/heal/bug26489_2.html [^]
http://occt-tests/CR26489-2-master-occt-64/Windows-64-VC10/bugs/heal/bug26489_2.html [^]
bugs heal bug26489_2: OK
http://occt-tests/CR26489-2-master-occt-64/Debian70-64/bugs/heal/bug26489_3.html [^]
http://occt-tests/CR26489-2-master-occt-64/Windows-64-VC10/bugs/heal/bug26489_3.html [^]
bugs heal bug26489_3: OK
http://occt-tests/CR26489-2-master-occt-64/Debian70-64/bugs/heal/bug26489_4.html [^]
http://occt-tests/CR26489-2-master-occt-64/Windows-64-VC10/bugs/heal/bug26489_4.html [^]
bugs heal bug26489_4: OK
http://occt-tests/CR26489-2-master-occt-64/Debian70-64/bugs/heal/bug26489_5.html [^]
http://occt-tests/CR26489-2-master-occt-64/Windows-64-VC10/bugs/heal/bug26489_5.html [^]
bugs heal bug26489_5: OK
http://occt-tests/CR26489-2-master-occt-64/Debian70-64/bugs/heal/bug26489_6.html [^]
http://occt-tests/CR26489-2-master-occt-64/Windows-64-VC10/bugs/heal/bug26489_6.html [^]
bugs heal bug26489_6: OK

Testing on Linux:
occt component :
Total MEMORY difference: 91082297 / 91018625 [+0.07%]
Total CPU difference: 17776.019999998924 / 17854.05999999889 [-0.44%]
products component :
Total MEMORY difference: 24865668 / 24836344 [+0.12%]
Total CPU difference: 7031.700000000009 / 7006.110000000006 [+0.37%]

Testing on Windows:
occt component :
Total MEMORY difference: 56909629 / 56928396 [-0.03%]
Total CPU difference: 16514.96786449898 / 16688.25377529903 [-1.04%]
products component :
Total MEMORY difference: 16005583 / 16012079 [-0.04%]
Total CPU difference: 5155.521047999962 / 5275.579417599962 [-2.28%]

There are no differences in images found by testdiff.
(0043909)
mkv (tester)
2015-08-07 13:39

Dear isn,
could you please review following test case
bugs heal bug26489_1, bug26489_2, bug26489_3, bug26489_4, bug26489_5, bug26489_6
(0043914)
isn (developer)
2015-08-07 15:17

reviewed
(0043919)
mkv (tester)
2015-08-07 15:55

Dear BugMaster,
Branch CR26489_2 is TESTED.
(0044120)
git (administrator)
2015-08-14 10:51

Branch CR26489_2 has been deleted by inv.

SHA-1: c8687e56f161024e47256929548492f10d835fc4
(0044126)
git (administrator)
2015-08-14 10:52

Branch CR26489_1 has been deleted by inv.

SHA-1: 895dd4c178e9f928d6bbfe789163209ccc20c475
(0044139)
git (administrator)
2015-08-14 10:52

Branch CR26489 has been deleted by inv.

SHA-1: cd0cf5b5c3913c4ced158afe7ec002db82b9c6b7

- Related Changesets
occt: master f7d70540
Timestamp: 2015-08-13 08:06:08
Author: isn
Committer: ski
Details ] Diff ]
0026489: The class ShapeUpgrade_UnifySameDomain provides the results that are wrong or difficult to explain.

gcc warnings

Test cases for issue CR26489
mod - src/ShapeUpgrade/ShapeUpgrade_UnifySameDomain.cxx Diff ] File ]
mod - src/ShapeUpgrade/ShapeUpgrade_UnifySameDomain.hxx Diff ] File ]
mod - src/SWDRAW/SWDRAW_ShapeUpgrade.cxx Diff ] File ]
mod - tests/bugs/heal/bug26219_gehause_rohteil Diff ] File ]
add - tests/bugs/heal/bug26489_1 Diff ] File ]
add - tests/bugs/heal/bug26489_2 Diff ] File ]
add - tests/bugs/heal/bug26489_3 Diff ] File ]
add - tests/bugs/heal/bug26489_4 Diff ] File ]
add - tests/bugs/heal/bug26489_5 Diff ] File ]
add - tests/bugs/heal/bug26489_6 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-07-28 12:10 pkv New Issue
2015-07-28 12:10 pkv Assigned To => msv
2015-07-28 12:12 pkv File Added: r002
2015-07-28 12:12 pkv File Added: r003
2015-07-28 12:13 pkv File Added: a.cxx
2015-07-28 12:13 pkv Status new => assigned
2015-07-28 12:14 pkv Relationship added child of 0025462
2015-07-28 12:20 msv Assigned To msv => isn
2015-07-28 12:23 msv Target Version 7.0.0 => 7.1.0
2015-07-29 12:51 git Note Added: 0043669
2015-07-29 13:01 isn File Added: p01usd.brep
2015-07-29 13:03 isn Note Added: 0043670
2015-07-29 13:03 isn Note Edited: 0043670 View Revisions
2015-07-29 13:16 isn Note Added: 0043672
2015-07-29 13:16 isn Assigned To isn => msv
2015-07-29 14:49 isn Note Added: 0043677
2015-07-29 16:36 msv Note Added: 0043682
2015-07-29 16:36 msv Assigned To msv => isn
2015-07-30 16:25 git Note Added: 0043704
2015-07-30 16:30 isn Assigned To isn => msv
2015-07-30 18:01 msv Note Added: 0043710
2015-07-30 18:01 msv Assigned To msv => isn
2015-07-30 18:48 git Note Added: 0043713
2015-07-31 11:35 git Note Added: 0043729
2015-07-31 11:58 msv Note Added: 0043730
2015-07-31 12:32 msv Note Added: 0043738
2015-07-31 14:14 git Note Added: 0043749
2015-07-31 14:34 git Note Added: 0043751
2015-07-31 14:51 git Note Added: 0043754
2015-07-31 14:51 isn Assigned To isn => msv
2015-07-31 15:05 msv Note Added: 0043756
2015-07-31 15:05 msv Assigned To msv => isn
2015-07-31 15:33 git Note Added: 0043758
2015-07-31 15:34 isn Assigned To isn => msv
2015-07-31 15:56 msv Note Added: 0043760
2015-07-31 16:00 msv Assigned To msv => isn
2015-07-31 16:15 git Note Added: 0043761
2015-07-31 16:17 isn Assigned To isn => msv
2015-07-31 17:49 git Note Added: 0043768
2015-07-31 17:50 isn Note Edited: 0043768 View Revisions
2015-07-31 18:04 msv Note Added: 0043769
2015-07-31 18:05 msv Assigned To msv => isn
2015-08-03 11:44 git Note Added: 0043780
2015-08-03 11:45 isn Assigned To isn => msv
2015-08-03 12:06 msv Note Added: 0043782
2015-08-03 12:08 msv Note Added: 0043783
2015-08-03 12:09 msv Assigned To msv => isn
2015-08-03 12:15 git Note Added: 0043784
2015-08-03 12:16 isn Assigned To isn => msv
2015-08-03 12:47 msv Status assigned => resolved
2015-08-03 12:51 msv Note Added: 0043787
2015-08-03 12:51 msv Assigned To msv => isn
2015-08-03 12:51 msv Status resolved => assigned
2015-08-04 12:20 git Note Added: 0043802
2015-08-04 12:49 git Note Added: 0043803
2015-08-04 12:59 isn Assigned To isn => msv
2015-08-04 13:57 git Note Added: 0043805
2015-08-04 14:40 msv Note Added: 0043806
2015-08-04 14:40 msv Assigned To msv => isn
2015-08-04 14:59 git Note Added: 0043808
2015-08-04 15:00 isn Assigned To isn => msv
2015-08-04 15:05 git Note Added: 0043809
2015-08-04 16:05 msv Note Added: 0043810
2015-08-04 16:05 msv Assigned To msv => isn
2015-08-05 11:36 git Note Added: 0043831
2015-08-05 11:37 isn Note Edited: 0043831 View Revisions
2015-08-05 11:37 isn Assigned To isn => msv
2015-08-05 11:48 msv Note Added: 0043835
2015-08-05 11:48 msv Assigned To msv => isn
2015-08-05 11:53 git Note Added: 0043836
2015-08-05 11:53 isn Assigned To isn => msv
2015-08-05 11:54 isn Assigned To msv => isn
2015-08-05 12:12 git Note Added: 0043838
2015-08-05 13:12 isn Assigned To isn => msv
2015-08-05 14:53 git Note Added: 0043850
2015-08-05 14:53 isn Note Added: 0043851
2015-08-05 15:18 msv Status assigned => resolved
2015-08-05 15:18 msv Note Added: 0043852
2015-08-05 15:18 msv Assigned To msv => bugmaster
2015-08-05 15:18 msv Status resolved => reviewed
2015-08-05 17:43 mkv Assigned To bugmaster => mkv
2015-08-06 13:05 mkv Note Added: 0043875
2015-08-06 13:05 mkv Assigned To mkv => isn
2015-08-06 13:05 mkv Status reviewed => assigned
2015-08-06 14:16 git Note Added: 0043880
2015-08-06 14:16 isn Assigned To isn => mkv
2015-08-06 14:50 isn Note Added: 0043884
2015-08-06 14:50 isn Note Edited: 0043884 View Revisions
2015-08-06 14:51 isn File Added: 3cir.brep
2015-08-06 15:18 git Note Added: 0043887
2015-08-06 15:22 mkv Status assigned => feedback
2015-08-06 15:23 mkv Assigned To mkv => bugmaster
2015-08-06 15:23 mkv Status feedback => reviewed
2015-08-06 15:23 mkv Assigned To bugmaster => mkv
2015-08-06 15:23 mkv Status reviewed => assigned
2015-08-06 15:23 mkv Status assigned => feedback
2015-08-06 15:24 mkv Status feedback => reviewed
2015-08-06 18:33 git Note Added: 0043894
2015-08-07 13:38 mkv Note Added: 0043907
2015-08-07 13:39 mkv Note Added: 0043908
2015-08-07 13:39 mkv Note Added: 0043909
2015-08-07 13:39 mkv Assigned To mkv => isn
2015-08-07 13:39 mkv Status reviewed => feedback
2015-08-07 13:40 mkv Test case number => bugs heal bug26489_1, bug26489_2, bug26489_3, bug26489_4, bug26489_5, bug26489_6
2015-08-07 15:17 isn Note Added: 0043914
2015-08-07 15:18 isn Assigned To isn => mkv
2015-08-07 15:55 mkv Note Added: 0043919
2015-08-07 15:55 mkv Assigned To mkv => bugmaster
2015-08-07 15:55 mkv Status feedback => tested
2015-08-14 10:26 ski Changeset attached => occt master f7d70540
2015-08-14 10:26 ski Assigned To bugmaster => ski
2015-08-14 10:26 ski Status tested => verified
2015-08-14 10:26 ski Resolution open => fixed
2015-08-14 10:44 bugmaster Target Version 7.1.0 => 7.0.0
2015-08-14 10:51 git Note Added: 0044120
2015-08-14 10:52 git Note Added: 0044126
2015-08-14 10:52 git Note Added: 0044139
2016-04-20 15:44 aiv Fixed in Version => 7.0.0
2016-04-20 15:48 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker